FieldTrip is the MATLAB toolbox for MEG and EEG analysis that is being
developed at the Donders Institute for Brain, Cognition and Behaviour
together with collaborating institutes.

The toolbox includes algorithms for simple and advanced analysis
of MEG and EEG data, such as time-frequency analysis, source
reconstruction using dipoles, distributed sources and beamformers
and non-parametric statistical testing. It supports the data formats
of all major MEG systems (CTF, Neuromag, 4D/BTi) and of the most popular
EEG systems, and new formats can be added easily. FieldTrip contains
high-level functions that you can use to construct your own analysis
protocol in MATLAB. Furthermore, it easily allows developers to
incorporate low-level algorithms for new EEG/MEG analysis methods.

For more information please visit http://www.fieldtriptoolbox.org

The FieldTrip software is free but copyrighted software, distributed
under the terms of the GNU General Public Licence as published by
the Free Software Foundation (either version 2, or at your option
any later version). See the file COPYING for more details.

The functions in the FieldTrip toolbox are copyrighted by their respective authors:
  
  - Robert Oostenveld, DCCN, FCDC, SMI, MBFYS
  - Jan-Mathijs Schoffelen, DCCN, MPI, CCNi, FCDC
  - Roemer van der Meij, DCC
  - Jorn Horschig, DCCN
  - Eelke Spaak, DCCN
  - Arjen Stolk, DCCN
  - Lilla Magyari, DCCN, MPI
  - Vladimir Litvak, UCL
  - Pascal Fries, FCDC
  - Markus Bauer, FCDC
  - Ole Jensen, FCDC
  - Markus Siegel, FCDC, UKE
  - Jens Schwarzbach, FCDC
  - Eric Maris, DCC, FCDC
  - Ingrid Nieuwenhuis, DCCN, FCDC
  - Saskia Haegens, DCCN, FCDC
  - Martin Vinck, DCCN, SILS
  
  and many others ...

Copyright (C) 2008-2020, Donders Institute for Brain, Cognition and Behaviour, Radboud University, The Netherlands (DCCN, DCC, DCN)

Copyright (C) 2012-2017, Max Planck Institute for Psycholinguistics, The Netherlands (MPI)

Copyright (C) 2008-2017, The Wellcome Trust Centre for Neuroimaging, University College London, UK (UCL)

Copyright (C) 2010-2013, Swammerdam Institute for Life Sciences, University of Amsterdam (SILS)

Copyright (C) 2008-2009, Centre for Cognitive Neuroimaging in Glasgow, United Kingdom (CCNi)

Copyright (C) 2009-2009, Netherlands Institute for Neuroscience (NIN)

Copyright (C) 2003-2008, F.C. Donders Centre, Radboud University Nijmegen, The Netherlands (FCDC)

Copyright (C) 2004-2007, Nijmegen Institute for Cognition and Information, The Netherlands (NICI)

Copyright (C) 2004-2005, Universitatsklinikum Hamburg-Eppendorf, Germany (UKE)

Copyright (C) 2003-2004, Center for Sensory Motor Interaction, University Aalborg, Denmark (SMI)

Copyright (C) 1999-2003, Department of Medical Physics, Radboud University Nijmegen, The Netherlands (MBFYS)

The FieldTrip software is a toolbox, i.e. a library with functions. The release 
of this toolbox includes functions from other toolboxes that are covered under 
their respective licenses. See fieldtrip/external for details.

